#ifndef IDALLOC_H
#define IDALLOC_H

struct idxalloc {
  unsigned int* array;
  unsigned int arraysize;
  unsigned int lastunused;
  unsigned int numused;
};

unsigned char idxinit(struct idxalloc*, unsigned int numidx);
unsigned int idxgetnew(struct idxalloc*);
void idxremove(struct idxalloc*, unsigned int);
void idxclear(struct idxalloc*);
unsigned char idxcheckalloc(struct idxalloc*, unsigned int);

#endif //IDALLOC_H