#include <stdio.h>

int parsenum(char const* str) {
  int v = 0;
  char c;
  char i = 1;
  while ((c = *str++) != 0) {
    v = v * 10 + (c & 0x0f);
    i &= (c >= '0' && c <= '9');
  }
  return i ? v : -1;
}

int main(int argc, char const** argv) {
  char temp[4096];

  char success = 0;
  if (argc == 4) {
    int ofs = parsenum(argv[3]);
    if (ofs >= 0) {
      FILE* infile = fopen(argv[1], "rb");
      if (infile) {
        FILE* outfile = fopen(argv[2], "rb+");
        if (outfile) {
          fseek(outfile, ofs, SEEK_SET);
          int l = 0;
          do {
            l = fread(temp, 1, 4096, infile);
            fwrite(temp, 1, l, outfile);
          } while (l == 4096);
          fclose(outfile);
          success = 1;
        } else {
          printf("Can't open output file\n");
        }
        fclose(infile);
      } else {
        printf("Can't open input file\n");
      }
    } else {
      printf("Bad offset\n");
    }
  } else {
    printf("Expects three arguments\n");
  }
  fflush(stdout);
  return !success;
}